unit PatrickLampke.Hashing.Generate;

{$mode objfpc}{$H+}

interface

uses
  PatrickLampke.Hashing.Types;

function SHA256(const s: String): TSHA256;
function SHA256Str(const s: String): String;

implementation

uses
	sysutils{, DCPsha256};

{function SHA256(const s: String): TSHA256;
var
  Hasher: TDCP_sha256;
  Digest: TSHA256;
begin
  Hasher := TDCP_sha256.Create(nil);
  Hasher.Init;
  Hasher.UpdateStr(s);
  Hasher.Final(Digest);
  FreeAndNil(Hasher);
  Result := Digest;
end;}

{
	Normalerweise würde hier mit DCPCrypt ein Hash generiert werden, da aber
  vermutlich nicht jeder DCPCrypt hat, der das hier testet generiere ich
  einfach einen FakeHash
}

// FakeHash
function SHA256(const s: String): TSHA256;
var
  i: Integer;
begin
	for i := 0 to 31 do begin
		Result[i] := i;
  end;
end;

function SHA256Str(const s: String): String;
begin
  Result := SHA256ToString(SHA256(s));
end;

end.

